MMCFORMAT(8) | System Manager's Manual | MMCFORMAT(8)

# NAME

mmcformat — format optical media

# SYNOPSIS

mmcformat | [-BDFGHhIMOpRrSsw] [-b blockingnr] [-c cert-num] special

# DESCRIPTION

The mmcformat utility formats optical media conforming to the MMC standard. This includes CD, DVD, and Blu-Ray (BD) media.

The options are as follows:

-B
  Blank media when possible before formatting it.
-b blockingnr
  Explicitly select packet size in sectors (for CD-RW only). It is not recommended to change this from its default of 32.
-c cert-num
  Certify media for DVD-RAM / DV-RE. The argument cert-num specifies:
  0
    no certification
  1
    full certification
  2
    quick certification
-D
  Debug mode. Print all SCSI/ATAPI command errors.
-F
  Format media.
-G
  Grow last CD-RW/DVD-RW session.
-H
  Show help and print formatting choices for the inserted media.
-h
  Show help and print formatting choices for the inserted media.
-I
  Show help and print formatting choices for the inserted media.
-M
  Select MRW (Mount Rainier) error correcting background format.
-O
  Old style CD-RW formatting; recommended for CD-RW.
-p
  Explicitly set packet format.
-R
  Restart previously stopped MCD-MRW or DVD+RW background format.
-r
  Recompile defect list for DVD-RAM.
-S
  Grow spare space DVD-RAM / BD-RE.
-s
  Format DVD+MRW / BD-RE with extra spare space.
-w
  Wait until completion of background format.

# NOTES

Due to the enormous varieties in optical media, mmcformat is made as generic as possible. This can result in confusion.

# EXAMPLES

> `mmcformat -B -O /dev/rcd0d`

Blanks and then formats a CD-RW disc using the “old style” format command. It is recommended to use this “old style” command unless your drive reports that it's not supported; in that case, resort to the default -F. Note that a CD-RW disc can be reformatted without being blanked. Blanking switches between sequential and fixed packet writing by erasing the disc. This can also help to revive old discs.

> `mmcformat -F -M /dev/rcd0d`

Format a CD-RW or a DVD+RW to use MRW (Mount Rainier). This format tries to hide media flaws as much as possible by relocation.

# SEE ALSO

scsictl(8)

# HISTORY

The mmcformat command first appeared in NetBSD 5.0.

# AUTHORS

Reinoud Zandijk <reinoud@NetBSD.org>

# BUGS

mmcformat could be merged with scsictl(8) but that tool is very hard disk oriented.

May 9, 2008 | NetBSD 6.0